We use Exchange Server 5.5 on Windows NT 4.0, and we're evaluating our migration options. Which versions of Exchange run on which versions of Windows?

This seemingly simple question has a fairly complex answer. First, let's make the distinction between those OSs that Exchange will run on versus those OSs that Exchange will run with. Microsoft designed Exchange 5.5 to run on NT 4.0, Exchange 2000 Server to run on Windows 2000, and Exchange Server 2003 (formerly code-named Titanium) to run on Windows Server 2003. Accordingly, each version works best with the corresponding OS. For more information about running Exchange 2000 and Exchange 5.5 on Windows 2003, see the Microsoft article "XGEN: Exchange 2000 Server and Exchange Server 5.5 Compatibility with Windows Server 2003" (http://support.microsoft.com/?kbid=810591). The specifics of which Exchange version runs on which OS are as follows:

  • Exchange 5.5 runs on Win2K, NT 4.0, or in a domain that includes Windows 2003 domain controllers (DCs) or servers.


  • Exchange 2000 runs on Win2K or in an environment in which Microsoft .NET servers are present, but it doesn't run on Windows 2003.


  • Exchange 2003 runs on Windows 2003 or Win2K. However, on Win2K, some features (e.g., Exchange-aware snapshots) aren't available.
  • Having said that, your best migration strategy is probably to start an immediate migration to Exchange 2000 and Win2K. Exchange 2003 and Windows 2003 are new products that represent quite an advance over what you're using. Exchange 2000 and Win2K are still very different from Exchange 5.5 and NT 4.0, but you'll find plenty of migration resources to help you figure out how to execute your migration with the minimum of hassle.